Subject: Re: FVWM: rc file questions

From: Dominik Vogt <[email-masked]>
Date: Thu, 15 Apr 1999 00:16:29 +0200

On Wed, Apr 07, 1999 at 11:39:54AM -0600, Bob van der Poel wrote:
> Dominik Vogt wrote:
> > 
> > On Mon, Mar 29, 1999 at 03:27:40PM -0700, Bob van der Poel wrote:
> > > >   bvdp> 2. I have
> > > >
> > > >   bvdp>         Style "*"       RandomPlacement
> > > >
> > > >   bvdp> However, when my netscape windows come up they want to
> > > >   bvdp> 'tile'. Each new window is a bit lower (vertically) than the
> > > >   bvdp> next. I assume that this is to show the different titlebars. I
> > > >   bvdp> have the geom set to +0+0 for the netscape windows and really do
> > > >   bvdp> want it that way. Can I force this?
> > > >
> > > > If I understand you correctly, you should be able to create a specific
> > > > style for netscape windows and specify a different placement scheme for
> > > > them:
> > > >
> > > >   Style "Netscape" <something else>
> > > >
> > > > and that will override the "*" style.
> > > >
> > >
> > > Yes. I understand this. But, I guess what I'm asking is what placement
> > > scheme forces the placement specified in the *geometry X resource? It
> > > seems that fvwm2 is trying to be nice to me...and I don't want it to.
> > 
> > Hmm, that's difficult. Placing windows is one of the tasks the window
> > manager is supposed to do. The problem is: how can fvwm know that *you*
> > specified the position for the window. In X, when a window is created
> > it has to supply a preferred position to the window manager. This position
> > depends on your X resources. So if an application tells the window manager
> > it prefers to be at +0+0, how does the window manager disstinguish between
> > the application default and the user's geometry spec?
> 
> I set 'Emulate mwm' and it almost sets the windows in the right
> location. Seems that without mvm fvwm2 is trying to be smart?

No, it's because there is a style option to turn this on and off. Try

  Style netscape* UsePPosition

Some background on this problem:

There is a bug and netscape and at least in xterm too (and I assume
in many other applications). If the user sets the preferred position
explicitly the application forgets to tell the window manager that
it was the user, not the application that set the position. There
is a window manager hint called USPosistion (user specified position).
Unfortunately there seem to be a lot of applications that don't set
this bit. In most fvwm config files you will find a line like this:

  Style * NoPPosition

This tells fvwm to ignore the program supplied position hints (but
not the user supplied hints). You must explicitly set UsePPosition
again for all applications you want to place yourself :-(

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]